/* 
*
*  ProLinga-Data
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Data.
*
*  ProLinga-Data is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Data is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Data.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __DATA_HPP
#define __DATA_HPP

/* Declarations libxml 2 */
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
/* End declarations libxml 2 */

/* Class for the execution of a Data Command */
class PlData
{
	public:
		PlData();
		~PlData();
		void dataOpen(const char *configFileName, int argc, char **argv);
		void dataClose(void);
		xmlDocPtr executeCommand(const xmlDocPtr dataRequest);
	private:
		bool isDataOpen;
};
typedef PlData *PlDataPtr;


#endif /* __DATA_HPP */

